from rest_framework import serializers
from reqman.apps.account.models import User
from reqman.apps.reqtool.models import Snippet

class UserSerializer(serializers.ModelSerializer):
    snippets = serializers.PrimaryKeyRelatedField(many=True, queryset=Snippet.objects.all())

    class Meta:
        model = User
        fields = ['pk', 'first_name', 'last_name', 'email', 'snippets']